Firefox 52 вышел с отключенной поддержкой плагинов NPAPI

Сегодня была выпущена новая стабильная версия популярного браузера Firefox. Это первая версия браузера, в которой отключена поддержка классических плагинов NPAPI. Посмотрим, что еще изменилось.


В Firefox 52 единственный NPAPI плагин, который по-прежнему работает «из коробки», — это Adobe Flash. Такие плагины, как Silverlight, Java, Unity (фреймворк для игр) и плагин Linux Gnome Shell перестанут работать.

Mozilla сделала исключение только для Adobe Flash. Многие веб-сайты по-прежнему полагаются на технологию Adobe Flash Player, поэтому они решили оставить ее. Если эти веб-сайты перестают работать в Firefox, это может привести к тому, что пользователи Firefox переключатся на другой браузер.

В Firefox 52 пользователь может включить поддержку плагина NPAPI, используя about: config.
Вот как это можно сделать.

  1. Откройте новую вкладку в Firefox и введите следующий текст в адресной строке:
     about: config 

    Подтвердите, что вы будете осторожны, если появится предупреждающее сообщение.

  2. Создайте новый логический параметр и назовите его plugin.load_flash_only .
  3. Установите для параметра plugin.load_flash_only значение false.
  4. Перезапустите Firefox.

Примечание: в Firefox 53 возможность восстановления поддержки плагина NPAPI будет полностью удалена.

Помимо того, что поддержка плагина NPAPI отключена по умолчанию, ключ меняется i n Firefox 52:

  • Функция многопроцессорности доступна в версиях Firefox для Windows, установленных на устройствах с сенсорными экранами.
  • Добавлена ​​возможность отправлять открытые вкладки с одного устройства на другое с помощью встроенной функции синхронизации.
  • API-интерфейсы состояния батареи были удалены из соображений конфиденциальности. Эти API-интерфейсы можно использовать для отслеживания пользователя.
  • Firefox 52 теперь поддерживает WebAssembly.
  • При открытии страницы с запросом пароля с использованием простого протокола HTTP , Firefox показывает специальное предупреждение о том, что соединение небезопасно и что ваши данные для входа могут быть скомпрометированы.

Кроме того, Firefox 52 имеет версию ESR (расширенная поддержка). Пользователи Windows XP и Windows Vista будут автоматически переведены на эту версию ESR из стабильной ветки, потому что следующая версия, Firefox 53, больше не будет поддерживать упомянутые операционные системы.



Оцените статью
digitdocom.ru
Добавить комментарий